<?php

// Routes for kpi.

// Guard routes for kpi
Route::prefix('{guard}/kpi')->group(function () {

    Route::get('kpi/report/{report}', 'KpiReportController');
    Route::post('kpi/exim/{exim}', 'KpiEximController');
    Route::patch('kpi/actions/{action}', 'KpiActionsController');
    Route::patch('kpi/action/{kpi}/{action}', 'KpiActionController');
    Route::resource('kpi', 'KpiResourceController');
});



// Public routes for kpi
Route::get('kpis/', 'KpiPublicController@index');
Route::get('kpi/{slug?}', 'KpiPublicController@show');
