<?php

// Web routes  for kpi.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for kpi

Route::prefix('{guard}/kpi')->group(function () {


    Route::get('/action/{kpi}/{user}', 'KpiActionController@get')
        ->name('bixo.kpi.action');
    Route::post('/action/{kpi}/{user}', 'KpiActionController@post');

});

