<?php


namespace Bixo\Kpi\Actions;

use Illuminate\Http\Request;
use Illuminate\Support\Str;
use Bixo\Kpi\Models\Kpi;
use Litepie\Actions\Concerns\AsAction;

class KpiExim
{
    use AsAction;

    private $model;

    public function handle(Request $request, string $exim)
    {
        $this->model = app(Kpi::class);
        $function = Str::camel($exim);
        return $this->$function($request);
    }

    public function import(Request $request)
    {
        return $this->model;
    }

    public function export(Request $request)
    {
        return $this->model;
    }

}
