<?php

namespace Bixo\Kpi\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Bixo\Kpi\Models\Kpi;

class KpiAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Kpi $kpi,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
