<?php

namespace Bixo\Kpi\Http\Requests;

use Litepie\Http\Request\AbstractRequest;
use Bixo\Kpi\Models\Kpi;

class KpiActionsRequest extends AbstractRequest
{

    /* Model for the current request.
     *
     * @var array
     */
    protected $action;

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        $this->model = app(Kpi::class);

        $this->action = $this->getAction();
        // Determine if the user is authorized to perform the action.
        return $this->can($this->action);

    }



}
