<?php


return  
    [
        'model' => [
            'model' => \Bixo\Kpi\Models\Kpi::class,
            'table' => 'bixo_kpi_kpis',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['actionable_id',  'actionable_type',  'type',  'action_id',  'action_type',  'date',  'score',  'user_id',  'user_type',  'PRIMARY'],
            'translatables' => [],
            'upload_folder' => 'kpi/kpi',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "actionable_id", 
                "type" => "text", 
                "label" => 'kpi::kpi.label.actionable_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "actionable_type", 
                "type" => "text", 
                "label" => 'kpi::kpi.label.actionable_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'kpi::kpi.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "action_id", 
                "type" => "text", 
                "label" => 'kpi::kpi.label.action_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "action_type", 
                "type" => "text", 
                "label" => 'kpi::kpi.label.action_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "date", 
                "type" => "text", 
                "label" => 'kpi::kpi.label.date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "score", 
                "type" => "text", 
                "label" => 'kpi::kpi.label.score', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "PRIMARY", 
                "type" => "text", 
                "label" => 'kpi::kpi.label.PRIMARY', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'actionable_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'kpi::kpi.label.actionable_id',
                "placeholder" => 'kpi::kpi.placeholder.actionable_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'actionable_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'kpi::kpi.label.actionable_type',
                "placeholder" => 'kpi::kpi.placeholder.actionable_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'kpi::kpi.label.type',
                "placeholder" => 'kpi::kpi.placeholder.type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'action_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'kpi::kpi.label.action_id',
                "placeholder" => 'kpi::kpi.placeholder.action_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'action_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'kpi::kpi.label.action_type',
                "placeholder" => 'kpi::kpi.placeholder.action_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'date',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'kpi::kpi.label.date',
                "placeholder" => 'kpi::kpi.placeholder.date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'score',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'kpi::kpi.label.score',
                "placeholder" => 'kpi::kpi.placeholder.score',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'PRIMARY',
                "element" => 'package::package.formcontrols.KEY',
                "type" => 'package::package.formcontrols.KEY',
                "label" => 'kpi::kpi.label.PRIMARY',
                "placeholder" => 'kpi::kpi.placeholder.PRIMARY',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'kpi/kpi/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'kpi/kpi/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'kpi/kpi',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'kpi/kpi',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'kpi/kpi',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'kpi/kpi',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'kpi::kpi.label.created_at',
            'name' => 'kpi::kpi.label.name',
            'status' => 'kpi::kpi.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "kpi::kpi.groups.main",
                'group' => "main.main",
                'title' => "kpi::kpi.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "kpi::kpi.groups.details",
                'group' => "main.details",
                'title' => "kpi::kpi.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "kpi::kpi.groups.images",
                'group' => "main.images",
                'title' => "kpi::kpi.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "kpi::kpi.groups.settings",
                'group' => "main.settings",
                'title' => "kpi::kpi.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Kpi',
            'module' => 'Kpi',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'kpi::kpi.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['kpi.kpi.copy', 'kpi.kpi.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'kpi::kpi.label.count',
                        "placeholder" => 'kpi::kpi.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'kpi::kpi.label.comment',
                        "placeholder" => 'kpi::kpi.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'kpi::kpi.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'kpi::kpi.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
