<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for kpi in kpi package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  kpi module in kpi package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Kpi',
    'names' => 'Kpis',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Kpis',
        'sub' => 'Kpis'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'actionable_id'              => 'Please enter actionable id',
        'actionable_type'            => 'Please enter actionable type',
        'type'                       => 'Please enter type',
        'action_id'                  => 'Please enter action id',
        'action_type'                => 'Please enter action type',
        'date'                       => 'Please select date',
        'score'                      => 'Please enter score',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
        'PRIMARY'                    => 'Please select PRIMARY',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'actionable_id'              => 'Actionable id',
        'actionable_type'            => 'Actionable type',
        'type'                       => 'Type',
        'action_id'                  => 'Action id',
        'action_type'                => 'Action type',
        'date'                       => 'Date',
        'score'                      => 'Score',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
        'PRIMARY'                    => 'PRIMARY',
    ],

    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
